Name:		edgar
Version:	1.12
Release:	%mkrel 3
Summary:	The Legend of Edgar - 2D platform game
Group:		Games/Adventure
License:	GPLv2+
URL:		http://www.parallelrealities.co.uk/p/legend-of-edgar.html

Source0:	http://downloads.sourceforge.net/legendofedgar/%{name}/%{name}-%{version}-1.tar.gz
Patch0:		edgar-1.12-mga-cflags.patch

BuildRequires:	gettext
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(SDL_mixer)
BuildRequires:	pkgconfig(SDL_ttf)
BuildRequires:	pkgconfig(zlib)
Requires:	%{name}-data = %{version}


%description
The Legend of Edgar is a platform game, not unlike those found on the Amiga
and SNES. Edgar must battle his way across the world, solving puzzles and
defeating powerful enemies to achieve his quest. 

Story: When his father fails to return home after venturing out one dark and
stormy night, Edgar fears the worst: he has been captured by the evil
sorcerer who lives in a fortress beyond the forbidden swamp.
Donning his armor, Edgar sets off to rescue him, but his quest will not be 
easy...


%package data
Summary:	Data files for The Legend of Edgar
Group:		Games/Adventure
# License issues for the content were fixed in version 1.10
# All sounds and music are now respectively CC0 or CC-BY or CC-BY-SA
# (see $SOURCE0/doc/changes and $SOURCE0/doc/music_and_sound_licences)
License:	CC0 or CC-BY or CC-BY-SA
BuildArch:	noarch

%description data
This package contains games data files for The Legend of Edgar.


%prep
%setup -q
%apply_patches

# Fix permissions
#for txtfile in src/graphics/font.h src/graphics/font.c src/system/random.h \
#  src/system/random.c
#do
#  chmod 644 $txtfile
#done


%build
export CFLAGS="%{optflags}"
%make


%install
%makeinstall_std

desktop-file-install \
  --delete-original \
  --remove-key Encoding \
  --add-category="AdventureGame;" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

# Delete unneeded doc files, the needed ones are linked with %%doc
rm -rf %{buildroot}%{_docdir}


%files -f %{name}.lang
%doc doc/changes doc/music_and_sound_licences doc/*.html doc/*.gif doc/*.png
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%files data
%{_gamesdatadir}/%{name}


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.12-3.mga4
+ Revision: 533644
- Mageia 4 Mass Rebuild

* Mon Sep 02 2013 akien <akien> 1.12-2.mga4
+ Revision: 474416
- Replaced a sed command by a patch
- Removed unnecessary permission fixes (upstream notified about the files)
- Moved things from -data to main package

* Thu Aug 29 2013 akien <akien> 1.12-1.mga4
+ Revision: 472916
- Upstream release 1.12
- Changelog: http://sourceforge.net/projects/legendofedgar/files/1.12/README.txt
- Music now plays fine since upstream changed format to ogg
- New upstream release 1.11
- Changelog: * Menus now work correctly with analogue controls * Fixed some music files failing to load on Windows
- Split into two binary RPMs: edgar and edgar-data
- Fixed a typo
- Fixed EOL spec file
- New upstream version 1.10
- See r457749 for License change related to version 1.10
- Spaces to tabs, fixed a typo
- Adapt spec file to Mageia policies and buildsystem
- imported package edgar


* Wed Jun 19 2013 Andrea Musuruane <musuruan@gmail.com> - 1.09-1
- Updated to upstream 1.09-1

* Thu Apr 04 2013 Andrea Musuruane <musuruan@gmail.com> - 1.08-1
- Updated to upstream 1.08-1

* Sun Mar 03 2013 Andrea Musuruane <musuruan@gmail.com> - 1.07-1
- Updated to upstream 1.07-1

* Fri Feb 08 2013 Andrea Musuruane <musuruan@gmail.com> - 1.06-2
- Updated to upstream 1.06-2

* Sat Jan 26 2013 Andrea Musuruane <musuruan@gmail.com> - 1.06-1
- Updated to upstream 1.06-1

* Thu Dec 06 2012 Andrea Musuruane <musuruan@gmail.com> - 1.05-1
- Updated to upstream 1.05-1

* Sun Oct 28 2012 Andrea Musuruane <musuruan@gmail.com> - 1.04-2
- Fixed license (BZ #2378)

* Sat Sep 22 2012 Andrea Musuruane <musuruan@gmail.com> - 1.04-1
- Updated to upstream 1.04-1

* Wed Aug 08 2012 Andrea Musuruane <musuruan@gmail.com> - 1.03-1
- Updated to upstream 1.03-1

* Sat Jun 23 2012 Andrea Musuruane <musuruan@gmail.com> - 1.02-2
- Updated to upstream 1.02-2

* Sun Jun 17 2012 Andrea Musuruane <musuruan@gmail.com> - 1.02-1
- Updated to upstream 1.02-1

* Wed May 16 2012 Andrea Musuruane <musuruan@gmail.com> - 1.01-1
- Updated to upstream 1.01-2

* Thu Apr 26 2012 Andrea Musuruane <musuruan@gmail.com> - 1.00-1
- First release

